# ===========================================================================
#	crt1.s
#	------
#	Initialization file for MPC5xx GCC compiler.
# Link this when debugging from RAM.
# ===========================================================================

#include "ppc-asm.h"

	.file	"crt1.S"
	.text

	.globl	_start
	.type	_start,@function

_start:

init_stack:
   addis  r11,r0,__STARTUP_STACK@ha		# Initialize stack pointer r1 to the
   addi   r11,r11,__STARTUP_STACK@l   # value in the linker command file.
   mr	sp,r11

	bl	FUNC_NAME(main)                 # go execute main()

