# POWER PC EXAMPLE MAKEFILE

PROC=powerpc
TYPE=elf
TARGETBOARD=823FADS

# OTHER PRECONFIGURED TARGET BOARD LINK SCRIPTS:
#TARGETBOARD=SBC403
#TARGETBOARD=8260ADS
#TARGETBOARD=823FADS

PATH=/cygwin/usr/local/bin:/usr/bin:$PATH
PROGPATH=/cygwin/usr/local/bin
LIBPATH=/cygwin/usr/local/$(PROC)-$(TYPE)/lib
INCPATH=/cygwin/usr/local/$(PROC)-$(TYPE)/include
CC=$(PROC)-$(TYPE)-gcc
AS=$(PROC)-$(TYPE)-as
AR=$(PROC)-$(TYPE)-ar
LD=$(PROC)-$(TYPE)-ld
NM=$(PROC)-$(TYPE)-nm
OBJDUMP=$(PROC)-$(TYPE)-objdump

test:
	powerpc-elf-gcc.exe -c -g hello.c
	$(CC) -g -c --gstabs -o crt0.o crt0.S
	$(CC) -g -c test.c
	$(LD) -g -v -t -Tldscript_$(TARGETBOARD) -o test crt0.o test.o
	$(NM) test

dump_crt0:
	$(OBJDUMP) --disassemble crt0.o

dump_test:
	$(OBJDUMP) --disassemble test

dump_test.o:
	$(OBJDUMP) --disassemble test.o

clean:
	-/bin/rm *.o
	-/bin/rm *~
	-/bin/rm test

